import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class FilterStateService {
    readonly selectionFilterSubject$: BehaviorSubject<{
        presetName: [string, string];
        identifier: string;
        filterType: string;
        value: string | string[];
    }[]>;
    readonly rangeFilterSubject$: BehaviorSubject<{
        presetName: [string, string];
        identifier: string;
        filterType: string;
        value: (string[] | number[] | string | boolean)[];
    }[]>;
    readonly iconFilterSubject$: BehaviorSubject<{
        presetName: [string, string];
        identifier: string;
        filterType: string;
        value: (string[] | number[] | string | boolean)[];
    }[]>;
    setSelectionFilterSubject(key: {
        presetName: [string, string];
        identifier: string;
        filterType: string;
        value: string | string[];
    }[]): void;
    setRangeFilterSubject(key: {
        presetName: [string, string];
        identifier: string;
        filterType: string;
        value: (string[] | number[] | string | boolean)[];
    }[]): void;
    setIconFilterSubject(key: {
        presetName: [string, string];
        identifier: string;
        filterType: string;
        value: (string[] | number[] | string | boolean)[];
    }[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterStateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterStateService>;
}
