/**
 * The buffer filter sort.
 * Used to store the filter, icon filter, and sort attributes.
 */
export interface BufferFilterSort {
    /**
     * The filter attributes.
     */
    filterAttributes: Map<string, any>;
    /**
     * The icon filter attributes.
     */
    iconFilterAttributes: Map<string | undefined, any>;
    /**
     * The sort attributes.
     */
    sortAttributes: any;
}
