/**
 * Interface for the locked attributes.
 */
export interface LockedAttributeModel {
    /**
     * The origin of the locked attribute (e.g. filter or sort).
     */
    origin: 'filter' | 'sort';
    /**
     * The identifier of the locked attribute.
     */
    identifier: string;
}
